﻿<?xml version='1.0' encoding='UTF-8'?>


<!--<!DOCTYPE xsl:stylesheet [
    <!ENTITY copy "&#169;">
    <!ENTITY nbsp "&#160;">
]>-->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


    <xsl:output method="html" indent="yes" encoding="UTF-8"
                doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                media-type="application/xhtml+xml"/>


    <xsl:variable name="title">SearchBlox Search Results</xsl:variable>
    <xsl:variable name="controlType">checkbox</xsl:variable>
    <xsl:variable name="logoAlign">left</xsl:variable>

    <xsl:template match="link/@url">
        <xsl:param name="search"  select="'../servlet/SearchServlet'" />
        <xsl:param name="replace" select="'../search'" />
        <xsl:attribute name="href">
            <xsl:choose>
                <xsl:when test="contains(., $search)">
                    <xsl:value-of select="concat($replace, substring-after(., $search))" ></xsl:value-of>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="." />
                </xsl:otherwise>
            </xsl:choose>
        </xsl:attribute>
    </xsl:template>


    <xsl:template match="searchdoc">

        <div id="siteWrapper">
            <div id="everythingButTheFooter">
                <!-- logo -->
                <!--<xsl:call-template name="logo"/>-->

                <div id="contentArea">

                    <!-- searchform -->
                    <div id="searchform">
                        <xsl:call-template name="searchform"/>
                    </div>

                    <!-- suggest -->
                    <!--<div id="suggest">
                        <xsl:call-template name="suggest"/>
                    </div>-->

                    <!-- Status -->
                    <div id="status0">
                        <xsl:call-template name="status"/>
                    </div>

                    <!-- Sort -->
                    <div id="sort">
                        <xsl:call-template name="sort"/>
                    </div>

                    <!-- pagination links -->
                    <div id="links0">
                        <xsl:call-template name="links"/>
                    </div>

                    <!-- results -->
                    <div id="results_list">
                        <xsl:call-template name="results"/>
                    </div>

                    <!-- pagination -->
                    <div id="links1">
                        <xsl:call-template name="links"/>
                    </div>

                    <!-- status -->
                    <div id="status1">
                        <xsl:call-template name="status"/>
                    </div>

                </div>
                <!-- "contentArea" closed -->

            </div>
            <!-- "everythingButTheFooter" closed -->

            <!-- footer-->
            <!--<xsl:call-template name="footer"/>-->
        </div>
        <script type="text/javascript">
            SearchPagesCollection.setMean();
            SearchPagesCollection.addXsl('s');
        </script>
        <!-- "siteWrapper" closed -->
        <xsl:call-template name="help"/>

        <!-- used to fade out the background when the help pop-up appears -->
        <!--<iframe id="shim" style="DISPLAY: none;" src="../shim.html" frameborder="0" scrolling="No"></iframe>-->

    </xsl:template>


    <xsl:template name="help">
        <div id="help" style="display: none;">
            <div class="titleBar">SearchBlox Search Tips</div>
            <div class="box">

                <h2>Query Syntax</h2>

                <p>
                    <b>Search for documents by typing in words</b>
                    <br/>
                    java computer software
                </p>

                <p>
                    <b>Search for exact phrases by using quotations</b>
                    <br/>
                    "java software"
                </p>

                <p>
                    <b>Use +, -, AND, OR, NOT operators when searching</b>
                    <br/>
                    +java -coffee
                    <br/>
                    Java NOT Coffee
                    <br/>
                    "jakarta apache" AND "jakarta tomcat"
                    <br/>
                    "jakarta apache" OR jakarta
                </p>

                <p>
                    <b>To perform a single character wildcard search use the "?" symbol.</b>
                    <br/>
                    ja?a
                </p>
                <p>
                    <b>To perform a multiple character wildcard search use the "*" symbol.</b>
                    <br/>
                    j*a
                    <br/>
                    ja*
                    <br/>
                    <br/>

                    <b>Note: You cannot use a * or ? symbol as the first character of a search.</b>
                </p>

                <p>
                    <b>To find the term java in the title only</b>
                    <br/>
                    title:java
                </p>

                <p>
                    <b>To find documents which are pdfs</b>
                    <br/>
                    contenttype:pdf
                </p>

                <input type="button" name="Button" value="Close" onclick="togglePopup('help');"/>
            </div>
        </div>
    </xsl:template>



    <xsl:template name="links">
        <div class="pagination clearfix">

            <xsl:for-each select="//link">
                
                <xsl:choose>
                    <xsl:when test="@page='next'">
                        
                        
                        <a><xsl:apply-templates select="@url" /><xsl:text>&gt;&gt;</xsl:text></a>
                    </xsl:when>
                    <xsl:when test="@page='prev'">
                        
                        <a><xsl:apply-templates select="@url" />
                            <xsl:text>&lt;&lt;</xsl:text>
                        </a>
                        <xsl:text></xsl:text>
                    </xsl:when>

                    <xsl:when test="@page='date'"/>
                    <xsl:when test="@page='relevance'"/>
                    <xsl:when test="@page='alpha'"/>
                    <xsl:otherwise>
                        <xsl:variable name="cpage"
                                      select="//results/@currentpage"/>
                        <xsl:if test="@page=$cpage">
                            <b>
                                <xsl:value-of select="@page"/>
                            </b>
                        </xsl:if>

                        <xsl:if test="not(@page=$cpage)">
                         
                            <a><xsl:apply-templates select="@url" />
                                <xsl:value-of select="@page"/>
                            </a>
                        </xsl:if>
                        <xsl:text>
                            <![CDATA[ ]]>
                        </xsl:text>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:for-each>

        </div>
    </xsl:template>


    <xsl:template name="searchform">
        <xsl:if test="//searchform">

            <xsl:variable name="targeturl" select="//searchform/@url"/>

            <!--<div class="titleBar clearfix">
                <h2></h2>
                <a href="#" class="icon-help" onclick="togglePopup('help')">(?)</a>
            </div>-->

            <!--<div class="box searchform">
                <div class="decorator"></div>
                <form action="../servlet/SearchServlet" name="s">
                    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="detailView">
                        -->
            <!--<tr>
                            <td align="center">
                                <div class="collections">

                                    <xsl:for-each select="//collection">
                                        <xsl:if test="@checked='true'">
                                            <label
                                                    title="Check to search {@name}" for="{@name}">
                                                <input id="{@name}" name="col"
                                                       value="{@id}" type="{$controlType}"
                                                       checked="true"/>
                                                <xsl:value-of select="@name"/>
                                            </label>
                                        </xsl:if>
                                        <xsl:if test="@checked='false'">
                                            <label
                                                    title="Check to search {@name}" for="{@name}">
                                                <input id="{@name}" name="col"
                                                       value="{@id}" type="{$controlType}"/>
                                                <xsl:value-of select="@name"/>
                                            </label>
                                        </xsl:if>
                                    </xsl:for-each>

                                </div>
                            </td>
                        </tr>-->
            <!--

                        <xsl:variable name="query" select="//searchform/@query"/>
                        <tr>
                            <td align="center">
                                <p>
                                    <br/>
                                    <input maxlength="128" size="55" name="query" value="{$query}"/>
                                </p>
                                <p>
                                    <div class="searchButton">
                                        <a href="javascript: document.forms.s.submit();">Search</a>
                                    </div>
                                </p>
                            </td>
                        </tr>
                    </table>
                </form>
            </div>-->
        </xsl:if>
    </xsl:template>


    <xsl:template name="status">
        <xsl:if test="//results/@hits&gt;0">

            <div class="status clearfix">
                <ul class="bar">
                    <li class="query">
                        Search Results for
                        <b>
                            <xsl:value-of select="//results/@query"/>
                        </b>
                    </li>
                    <li class="matches">
                        Results
                        <xsl:value-of select="//results/@start"/>
                        to
                        <xsl:value-of select="//results/@end"/>
                        of
                        <strong>
                            <xsl:value-of select="//results/@hits"/>
                        </strong>
                    </li>
                </ul>
            </div>


        </xsl:if>
    </xsl:template>

    <!--<xsl:template name="suggest">
        <xsl:variable name="suggest" select="//results/@suggest"/>
        <xsl:variable name="filter" select="//results/@filter"/>
        <xsl:if test="string-length($suggest) &gt; 0">
            <div class="suggest">

                <xsl:variable name="searchurl"
                              select="//searchform/@url"/>
                <xsl:variable name="targeturl"
                              select="concat($searchurl, '?query=')"/>
                <xsl:variable name="suggesturl"
                              select="concat($targeturl, $suggest)"/>

                <xsl:if test="string-length($filter) &gt; 0">
                    <xsl:variable name="suggestfilter"
                                  select="concat($suggesturl, '&amp;filter=')"/>
                    <xsl:variable name="suggestfilterurl"
                                  select="concat($suggestfilter, $filter)"/>
                    Did you mean
                    <a id="mean" href='{$suggestfilterurl}'>
                        <strong>
                            <xsl:value-of select="$suggest"/>
                        </strong>
                    </a>
                    ?
                </xsl:if>

                <xsl:if test="not(string-length($filter) &gt; 0)">
                    Did you mean
                    <a id="mean" href='{$suggesturl}'>
                        <strong>
                            <xsl:value-of select="$suggest"/>
                        </strong>
                    </a>
                    ?
                </xsl:if>
            </div>
        </xsl:if>
    </xsl:template>-->


    <xsl:template name="results">

        <xsl:variable name="qvalue" select="//results/@query"/>
        <xsl:if test="//results/@hits=0">
            Your search for
            <b>
                <xsl:value-of select="$qvalue"/>
            </b>
            did not match any documents.
            <ul>
                Suggestions:
                <li>Make sure all words are spelled correctly.</li>
                <li>Use similar words or synonyms.</li>
                <li>Try more general keywords.</li>
            </ul>
        </xsl:if>
        <xsl:for-each select="//result">

            <div class="result">

                <xsl:variable name="contenttype" select="contenttype"/>
                <xsl:variable name="highlighturl"
                              select="concat('HighlighterServlet?url=',url)"/>
                <xsl:variable name="highlighturlcol"
                              select="concat($highlighturl, '&amp;col=')"/>
                <xsl:variable name="highlighturlcolid"
                              select="concat($highlighturlcol, col)"/>
                <xsl:variable name="highlighturlquery"
                              select="concat($highlighturlcolid, '&amp;sbquery=')"/>
                <xsl:variable name="highlighturlqueryvalue"
                              select="concat($highlighturlquery, $qvalue)"/>

                <table width="100%">

                    <xsl:choose>

                        <xsl:when test="starts-with(url, 'http://')">
                            <tr>
                                <td width="90%" class="link">
                                    <a href="{url}">
                                        <xsl:apply-templates select="title"/>
                                    </a>
                                    <!--<xsl:if test="$contenttype='HTML'">
                                        <span class="htButton">
                                            <a href="{$highlighturlqueryvalue}">Highlight</a>
                                        </span>
                                    </xsl:if>
                                    <xsl:if test="$contenttype='PDF'">
                                        <xsl:variable name="pdfurl"
                                                      select="concat(url, '#search=')"/>

                                        <xsl:variable name="pdfurlquery"
                                                      select="concat($pdfurl, '&quot;', $qvalue, '&quot;')"/>

                                        <span class="htButton">
                                            <a href="{$pdfurlquery}">Highlight</a>
                                        </span>
                                    </xsl:if>-->
                                </td>
                                <td class="relevance">
                                    <xsl:value-of select="score"/>
                                    %
                                </td>
                            </tr>
                        </xsl:when>

                        <xsl:when test="starts-with(url, 'https://')">
                            <tr>
                                <td width="50%" class="link">
                                    <a href="{url}">
                                        <xsl:apply-templates select="title"/>
                                    </a>
                                    <xsl:if test="$contenttype='HTML'">
                                        <span class="htButton">
                                            <a href="{$highlighturlqueryvalue}">Highlight</a>
                                        </span>
                                    </xsl:if>
                                    <xsl:if test="$contenttype='PDF'">
                                        <xsl:variable name="pdfurl"
                                                      select="concat(url, '#search=')"/>

                                        <xsl:variable name="pdfurlquery"
                                                      select="concat($pdfurl, '&quot;', $qvalue, '&quot;')"/>

                                        <span class="htButton">
                                            <a href="{$pdfurlquery}">Highlight</a>
                                        </span>
                                    </xsl:if>
                                </td>
                                <td class="relevance">
                                    <xsl:value-of select="score"/>
                                    %
                                </td>
                            </tr>
                        </xsl:when>


                        <xsl:when test="starts-with(url, 'eml://')">
                            <tr>

                                <xsl:variable name="emlurl"
                                          select="concat('EmailServlet?url=', url)"/>
                                <xsl:variable name="emlurlcol"
                                          select="concat($emlurl, '&amp;col=')"/>
                                <xsl:variable name="emlurlcolid"
                                          select="concat($emlurlcol, col)"/>
                                <xsl:variable name="qs"
                                                      select="concat($emlurlcolid, '&amp;query=')"/>
                                <xsl:variable name="emlurlquery"
                                          select="concat($qs, $qvalue)"/>
                                <xsl:variable name="emlurlxsl"
                                                      select="concat($emlurlquery,'&amp;xsl=eml.xsl')"/>


                                <td width="50%" class="link">
                                    <b>
                                        <xsl:apply-templates select="title"/>
                                    </b>

                                    <span class="htButton">
                                        <a href="{$emlurlxsl}">View</a>
                                    </span>
                                </td>
                                <td class="relevance">
                                    <xsl:value-of select="score"/>
                                    %
                                </td>
                            </tr>
                        </xsl:when>



                        <xsl:otherwise>
                            <xsl:variable name="fileurl"
                                          select="concat('FileServlet?url=', url)"/>
                            <xsl:variable name="fileurlcol"
                                          select="concat($fileurl, '&amp;col=')"/>
                            <xsl:variable name="fileurlcolid"
                                          select="concat($fileurlcol, col)"/>

                            <tr>
                                <td width="50%" class="link">
                                    <a href="{$fileurlcolid}">
                                        <xsl:apply-templates select="title"/>
                                    </a>
                                    <xsl:if test="$contenttype='HTML'">
                                        <span class="htButton">
                                            <a href="{$highlighturlqueryvalue}">
                                                Highlight
                                            </a>
                                        </span>
                                    </xsl:if>
                                </td>
                                <td class="relevance">
                                    <xsl:value-of select="score"/>
                                    %
                                </td>
                            </tr>
                        </xsl:otherwise>
                    </xsl:choose>

                    <xsl:choose>
                        <xsl:when test="context">
                            <tr>
                                <td colspan="2" class="desc">
                                    ...
                                    <xsl:apply-templates select="context"/>
                                    ...
                                </td>
                            </tr>
                        </xsl:when>
                        <xsl:otherwise>
                            <tr>
                                <td colspan="2" class="desc">
                                    <xsl:apply-templates select="description"/>
                                </td>
                            </tr>
                        </xsl:otherwise>
                    </xsl:choose>
                    <tr>
                        <td colspan="2" class="docurl">
                            <xsl:value-of select="substring(url, 0, 140)"/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" class="date" nowrap="nowrap">
                            <xsl:value-of select="substring(lastmodified, 3, 5)"/>
                            <xsl:value-of select="substring(lastmodified, 0, 3)"/>
                            <xsl:text>,</xsl:text>
                            <xsl:value-of select="substring(lastmodified, 7, 6)"/>
                            <xsl:text>-</xsl:text>
                            <xsl:value-of select="round(size div 1024)"/>
                            k
                        </td>
                    </tr>
                </table>
            </div>
        </xsl:for-each>
    </xsl:template>


    <xsl:template name="sort">

        <xsl:if test="//results/@hits&gt;0">
            <div class="pagination clearfix">
                <p>

                    <xsl:if test="//results/@sort='relevance'">
                        <xsl:for-each select="//link">
                            <xsl:choose>
                                <xsl:when test="@page='date'">
                                    
                                    
                                    <a><xsl:apply-templates select="@url" /><xsl:text>Sort by Date</xsl:text></a>
                                    <xsl:text>|</xsl:text>
                                </xsl:when>
                                <xsl:when test="@page='alpha'">
                                    |
                                    <a><xsl:apply-templates select="@url" /><xsl:text>Sort Alphabetically</xsl:text></a>
                                    
                                </xsl:when>
                                <xsl:otherwise/>
                            </xsl:choose>
                            <xsl:text/>
                        </xsl:for-each>
                    </xsl:if>
                    <xsl:if test="//results/@sort='date'">
                        <xsl:for-each select="//link">
                            <xsl:choose>
                                <xsl:when test="@page='relevance'">
                                    <xsl:text>|</xsl:text>
                                    <a href="{@url}">Sort by Relevance</a>
                                    <xsl:text>|</xsl:text>
                                </xsl:when>
                                <xsl:when test="@page='alpha'">
                                    <xsl:text>|</xsl:text>
                                    <a href="{@url}">Sort Alphabetically</a>
                                    <xsl:text>|</xsl:text>
                                </xsl:when>
                                <xsl:otherwise/>
                            </xsl:choose>
                            <xsl:text/>
                        </xsl:for-each>
                    </xsl:if>

                    <xsl:if test="//results/@sort='alpha'">
                        <xsl:for-each select="//link">
                            <xsl:choose>
                                <xsl:when test="@page='relevance'">
                                    <xsl:text>|</xsl:text>
                                    <a href="{@url}">Sort by Relevance</a>
                                    <xsl:text>|</xsl:text>
                                </xsl:when>
                                <xsl:when test="@page='date'">
                                    <xsl:text>|</xsl:text>
                                    <a href="{@url}">Sort by Date</a>
                                    <xsl:text>|</xsl:text>
                                </xsl:when>
                                <xsl:otherwise/>
                            </xsl:choose>
                            <xsl:text/>
                        </xsl:for-each>
                    </xsl:if>
                </p>
            </div>
        </xsl:if>
    </xsl:template>

    <xsl:template match="title">
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="description">
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="context">
        <xsl:apply-templates/>
    </xsl:template>


    <xsl:template match="highlight">
        <span class="hiliter">
            <xsl:value-of select="."/>
        </span>
    </xsl:template>

</xsl:stylesheet>